import java.io.*;
import java.net.Socket;

public class FileClient {

    public static void main(String[] argv) throws Exception {

        Socket sock = new Socket("127.0.0.1", 8888);
        sock.setTcpNoDelay(true);

        File myFile = new File("saved.png");
        byte[] mybytearray = new byte[(int) myFile.length()];
        BufferedInputStream bis = new BufferedInputStream(new FileInputStream(myFile));

		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        
        OutputStream os = sock.getOutputStream();

        int fSize = (int) myFile.length();
        // Send the file's size
        byte[] bSize = new byte[4];
        bSize[0] = (byte) ((fSize & 0xff000000) >> 24);
        bSize[1] = (byte) ((fSize & 0x00ff0000) >> 16);
        bSize[2] = (byte) ((fSize & 0x0000ff00) >> 8);
        bSize[3] = (byte) (fSize & 0x000000ff);
        // 4 bytes containing the file size
        os.write(bSize, 0, 4);

        int size = bis.read(mybytearray, 0, mybytearray.length);
        sock.getOutputStream().write(mybytearray, 0, size);
        sock.getOutputStream().flush();
        bis.close();
        os.close();
        sock.close();
    }
}
